sas_phy_alloc
Prev | Serial Attached SCSI (SAS) transport class | Next

## Name

sas_phy_alloc — allocates and initialize a SAS PHY structure

## Synopsis

`struct sas_phy * sas_phy_alloc (` | struct device * | parent,
| int | number`)`;

## Arguments

`parent`

  Parent device

`number`

  Phy index

## Description

Allocates an SAS PHY structure. It will be added in the device tree below the device specified by `parent`, which has to be either a Scsi_Host or sas_rphy.

## Returns

SAS PHY allocated or `NULL` if the allocation failed.

Prev | Up | Next
sas_remove_host | Home | sas_phy_add